Subject: Re: linux-next: Tree for Sep 19 (x86/kernel/cpuinfo.c)

From: Felix Schnizlein <[email-masked]>
Date: Tue, 26 Sep 2017 14:36:08 +0200

On 26.09.17, Thomas Gleixner wrote:
> On Tue, 26 Sep 2017, Greg Kroah-Hartman wrote:
> > On Tue, Sep 26, 2017 at 09:40:00AM +0200, Thomas Gleixner wrote:
> > > On Mon, 25 Sep 2017, Randy Dunlap wrote:
> > > > On 09/19/17 08:54, Randy Dunlap wrote:
> > > > > On 09/18/17 21:15, Stephen Rothwell wrote:
> > > > >> Hi all,
> > > > >>
> > > > >> Changes since 20170918:
> > > > >>
> > > > >> Linus' tree still had its build failure for which I reverted a commit.
> > > > >>
> > > > > 
> > > > > on i386:
> > > > > 
> > > > > ../arch/x86/kernel/cpuinfo.c: In function 'cpuinfo_flags':
> > > 
> > > Where does this file come from? Random driver code added to arch/x86? This
> > > was neither acked nor reviewed by any x86 maintainer and just slapped into
> > > arch/x86/kernel/ without spending a split second of brain to find the spot
> > > where it actually belongs. It's not rocket science to figure that out.
> > 
> > It is arch specific, cpu specific to be specific :)
> > 
> > Where would you have this file go instead?
> 
> arch/x86/kernel/cpu/
> 
> That's where all the CPU related stuff including the proc/cpuinfo code
> lives. It's not rocket science to figure that out.
Yes this is my fault. I will fix this.
> 
> > And these patches were posted many times, Felix, you did cc: the arch
> > maintainers, right?  I don't have access to my archives at the moment...
I send all my patches via:
git send-email --to [email-masked] --cc [email-masked] --cc [email-masked] --cc [email-masked] v4*.patch

Did I miss something?
> 
> I have the following mails related to this in my direct inbox archive,
> i.e. where I was CC'ed and exactly the same amount in my full LKML archive:
> 
> http://lkml.kernel.org/r/[email-masked]
> http://lkml.kernel.org/r/[email-masked]
> http://lkml.kernel.org/r/20170802164621.43ckgv2vieudvifc@angmar
> http://lkml.kernel.org/r/[email-masked]
> http://lkml.kernel.org/r/[email-masked]
> http://lkml.kernel.org/r/[email-masked]
> http://lkml.kernel.org/r/[email-masked]
> http://lkml.kernel.org/r/[email-masked]
> 
> All of these mails were completely out of context, i.e. the stuff was never
> posted to LKML at all. I got them because you added [email-masked] when
> replying.
> 
> And all what I could see from your replies was:
> 
> >  arch/Kconfig                                       |  3 ++
> >  drivers/base/Makefile                              |  1 +
> >  drivers/base/cpuinfo.c                             | 48 ++++++++++++++++++++++
> >  include/linux/cpuhotplug.h                         |  1 +
> >  include/linux/cpuinfo.h                            | 43 +++++++++++++++++++
> 
> which I blissfully ignored.
> 
> Thanks,
> 
> 	tglx
>